Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Interface OQLLexerTokenTypes

All Known Implementing Classes:
  OQLLexer, OQLParser

    public interface OQLLexerTokenTypes

Field Summary
`static int` | `CharLiteral`
`static int` | `CommentLine`
`static int` | `EOF`
`static int` | `Identifier`
`static int` | `LITERAL_abs`
`static int` | `LITERAL_all`
`static int` | `LITERAL_and`
`static int` | `LITERAL_any`
`static int` | `LITERAL_array`
`static int` | `LITERAL_as`
`static int` | `LITERAL_asc`
`static int` | `LITERAL_ascii`
`static int` | `LITERAL_avg`
`static int` | `LITERAL_bag`
`static int` | `LITERAL_boolean`
`static int` | `LITERAL_by`
`static int` | `LITERAL_char`
`static int` | `LITERAL_character_length`
`static int` | `LITERAL_count`
`static int` | `LITERAL_current_date`
`static int` | `LITERAL_current_time`
`static int` | `LITERAL_current_timestamp`
`static int` | `LITERAL_date`
`static int` | `LITERAL_dayName`
`static int` | `LITERAL_dayOfMonth`
`static int` | `LITERAL_dayOfWeek`
`static int` | `LITERAL_dayOfYear`
`static int` | `LITERAL_define`
`static int` | `LITERAL_desc`
`static int` | `LITERAL_dictionary`
`static int` | `LITERAL_distinct`
`static int` | `LITERAL_double`
`static int` | `LITERAL_element`
`static int` | `LITERAL_except`
`static int` | `LITERAL_exists`
`static int` | `LITERAL_false`
`static int` | `LITERAL_first`
`static int` | `LITERAL_flatten`
`static int` | `LITERAL_float`
`static int` | `LITERAL_for`
`static int` | `LITERAL_from`
`static int` | `LITERAL_group`
`static int` | `LITERAL_having`
`static int` | `LITERAL_hour`
`static int` | `LITERAL_import`
`static int` | `LITERAL_in`
`static int` | `LITERAL_intersect`
`static int` | `LITERAL_interval`
`static int` | `LITERAL_is_defined`
`static int` | `LITERAL_is_undefined`
`static int` | `LITERAL_join`
`static int` | `LITERAL_last`
`static int` | `LITERAL_left`
`static int` | `LITERAL_like`
`static int` | `LITERAL_list`
`static int` | `LITERAL_listtoset`
`static int` | `LITERAL_long`
`static int` | `LITERAL_lower`
`static int` | `LITERAL_ltrim`
`static int` | `LITERAL_max`
`static int` | `LITERAL_min`
`static int` | `LITERAL_minute`
`static int` | `LITERAL_mod`
`static int` | `LITERAL_month`
`static int` | `LITERAL_monthName`
`static int` | `LITERAL_nil`
`static int` | `LITERAL_not`
`static int` | `LITERAL_octet`
`static int` | `LITERAL_or`
`static int` | `LITERAL_order`
`static int` | `LITERAL_query`
`static int` | `LITERAL_rtrim`
`static int` | `LITERAL_second`
`static int` | `LITERAL_select`
`static int` | `LITERAL_set`
`static int` | `LITERAL_short`
`static int` | `LITERAL_some`
`static int` | `LITERAL_string`
`static int` | `LITERAL_struct`
`static int` | `LITERAL_sum`
`static int` | `LITERAL_time`
`static int` | `LITERAL_timestamp`
`static int` | `LITERAL_trim`
`static int` | `LITERAL_true`
`static int` | `LITERAL_undefine`
`static int` | `LITERAL_union`
`static int` | `LITERAL_unique`
`static int` | `LITERAL_unsigned`
`static int` | `LITERAL_upper`
`static int` | `LITERAL_where`
`static int` | `LITERAL_year`
`static int` | `MultiLineComment`
`static int` | `NameCharacter`
`static int` | `NameFirstCharacter`
`static int` | `NewLine`
`static int` | `NULL_TREE_LOOKAHEAD`
`static int` | `StringLiteral`
`static int` | `TOK_APPROXIMATE_NUMERIC_LITERAL`
`static int` | `TOK_COLON`
`static int` | `TOK_COMMA`
`static int` | `TOK_CONCAT`
`static int` | `TOK_DOLLAR`
`static int` | `TOK_DOT`
`static int` | `TOK_DOTDOT`
`static int` | `TOK_EQ`
`static int` | `TOK_EXACT_NUMERIC_LITERAL`
`static int` | `TOK_GE`
`static int` | `TOK_GT`
`static int` | `TOK_INDIRECT`
`static int` | `TOK_LBRACK`
`static int` | `TOK_LE`
`static int` | `TOK_LPAR`
`static int` | `TOK_LPAREN`
`static int` | `TOK_LRAR`
`static int` | `TOK_LT`
`static int` | `TOK_MINUS`
`static int` | `TOK_NE`
`static int` | `TOK_PLUS`
`static int` | `TOK_RBRACK`
`static int` | `TOK_RPAREN`
`static int` | `TOK_SEMIC`
`static int` | `TOK_SLASH`
`static int` | `TOK_STAR`
`static int` | `TOK_UNSIGNED_INTEGER`
`static int` | `WhiteSpace`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### NULL_TREE_LOOKAHEAD

    static final int NULL_TREE_LOOKAHEAD

See Also:
  Constant Field Values

### TOK_RPAREN

    static final int TOK_RPAREN

See Also:
  Constant Field Values

### TOK_LPAREN

    static final int TOK_LPAREN

See Also:
  Constant Field Values

### TOK_COMMA

    static final int TOK_COMMA

See Also:
  Constant Field Values

### TOK_SEMIC

    static final int TOK_SEMIC

See Also:
  Constant Field Values

### TOK_DOTDOT

    static final int TOK_DOTDOT

See Also:
  Constant Field Values

### TOK_COLON

    static final int TOK_COLON

See Also:
  Constant Field Values

### TOK_DOT

    static final int TOK_DOT

See Also:
  Constant Field Values

### TOK_INDIRECT

    static final int TOK_INDIRECT

See Also:
  Constant Field Values

### TOK_CONCAT

    static final int TOK_CONCAT

See Also:
  Constant Field Values

### TOK_EQ

    static final int TOK_EQ

See Also:
  Constant Field Values

### TOK_PLUS

    static final int TOK_PLUS

See Also:
  Constant Field Values

### TOK_MINUS

    static final int TOK_MINUS

See Also:
  Constant Field Values

### TOK_SLASH

    static final int TOK_SLASH

See Also:
  Constant Field Values

### TOK_STAR

    static final int TOK_STAR

See Also:
  Constant Field Values

### TOK_LE

    static final int TOK_LE

See Also:
  Constant Field Values

### TOK_GE

    static final int TOK_GE

See Also:
  Constant Field Values

### TOK_NE

    static final int TOK_NE

See Also:
  Constant Field Values

### TOK_LT

    static final int TOK_LT

See Also:
  Constant Field Values

### TOK_GT

    static final int TOK_GT

See Also:
  Constant Field Values

### TOK_LBRACK

    static final int TOK_LBRACK

See Also:
  Constant Field Values

### TOK_RBRACK

    static final int TOK_RBRACK

See Also:
  Constant Field Values

### TOK_DOLLAR

    static final int TOK_DOLLAR

See Also:
  Constant Field Values

### NameFirstCharacter

    static final int NameFirstCharacter

See Also:
  Constant Field Values

### NameCharacter

    static final int NameCharacter

See Also:
  Constant Field Values

### Identifier

    static final int Identifier

See Also:
  Constant Field Values

### TOK_UNSIGNED_INTEGER

    static final int TOK_UNSIGNED_INTEGER

See Also:
  Constant Field Values

### TOK_APPROXIMATE_NUMERIC_LITERAL

    static final int TOK_APPROXIMATE_NUMERIC_LITERAL

See Also:
  Constant Field Values

### TOK_EXACT_NUMERIC_LITERAL

    static final int TOK_EXACT_NUMERIC_LITERAL

See Also:
  Constant Field Values

### CharLiteral

    static final int CharLiteral

See Also:
  Constant Field Values

### StringLiteral

    static final int StringLiteral

See Also:
  Constant Field Values

### WhiteSpace

    static final int WhiteSpace

See Also:
  Constant Field Values

### NewLine

    static final int NewLine

See Also:
  Constant Field Values

### CommentLine

    static final int CommentLine

See Also:
  Constant Field Values

### MultiLineComment

    static final int MultiLineComment

See Also:
  Constant Field Values

### LITERAL_import

    static final int LITERAL_import

See Also:
  Constant Field Values

### LITERAL_as

    static final int LITERAL_as

See Also:
  Constant Field Values

### LITERAL_define

    static final int LITERAL_define

See Also:
  Constant Field Values

### LITERAL_query

    static final int LITERAL_query

See Also:
  Constant Field Values

### LITERAL_undefine

    static final int LITERAL_undefine

See Also:
  Constant Field Values

### LITERAL_select

    static final int LITERAL_select

See Also:
  Constant Field Values

### LITERAL_distinct

    static final int LITERAL_distinct

See Also:
  Constant Field Values

### LITERAL_from

    static final int LITERAL_from

See Also:
  Constant Field Values

### LITERAL_left

    static final int LITERAL_left

See Also:
  Constant Field Values

### LITERAL_join

    static final int LITERAL_join

See Also:
  Constant Field Values

### LITERAL_in

    static final int LITERAL_in

See Also:
  Constant Field Values

### LITERAL_where

    static final int LITERAL_where

See Also:
  Constant Field Values

### TOK_LPAR

    static final int TOK_LPAR

See Also:
  Constant Field Values

### TOK_LRAR

    static final int TOK_LRAR

See Also:
  Constant Field Values

### LITERAL_group

    static final int LITERAL_group

See Also:
  Constant Field Values

### LITERAL_by

    static final int LITERAL_by

See Also:
  Constant Field Values

### LITERAL_having

    static final int LITERAL_having

See Also:
  Constant Field Values

### LITERAL_order

    static final int LITERAL_order

See Also:
  Constant Field Values

### LITERAL_asc

    static final int LITERAL_asc

See Also:
  Constant Field Values

### LITERAL_desc

    static final int LITERAL_desc

See Also:
  Constant Field Values

### LITERAL_or

    static final int LITERAL_or

See Also:
  Constant Field Values

### LITERAL_and

    static final int LITERAL_and

See Also:
  Constant Field Values

### LITERAL_for

    static final int LITERAL_for

See Also:
  Constant Field Values

### LITERAL_all

    static final int LITERAL_all

See Also:
  Constant Field Values

### LITERAL_exists

    static final int LITERAL_exists

See Also:
  Constant Field Values

### LITERAL_any

    static final int LITERAL_any

See Also:
  Constant Field Values

### LITERAL_some

    static final int LITERAL_some

See Also:
  Constant Field Values

### LITERAL_like

    static final int LITERAL_like

See Also:
  Constant Field Values

### LITERAL_union

    static final int LITERAL_union

See Also:
  Constant Field Values

### LITERAL_except

    static final int LITERAL_except

See Also:
  Constant Field Values

### LITERAL_mod

    static final int LITERAL_mod

See Also:
  Constant Field Values

### LITERAL_intersect

    static final int LITERAL_intersect

See Also:
  Constant Field Values

### LITERAL_abs

    static final int LITERAL_abs

See Also:
  Constant Field Values

### LITERAL_not

    static final int LITERAL_not

See Also:
  Constant Field Values

### LITERAL_listtoset

    static final int LITERAL_listtoset

See Also:
  Constant Field Values

### LITERAL_element

    static final int LITERAL_element

See Also:
  Constant Field Values

### LITERAL_flatten

    static final int LITERAL_flatten

See Also:
  Constant Field Values

### LITERAL_first

    static final int LITERAL_first

See Also:
  Constant Field Values

### LITERAL_last

    static final int LITERAL_last

See Also:
  Constant Field Values

### LITERAL_unique

    static final int LITERAL_unique

See Also:
  Constant Field Values

### LITERAL_sum

    static final int LITERAL_sum

See Also:
  Constant Field Values

### LITERAL_min

    static final int LITERAL_min

See Also:
  Constant Field Values

### LITERAL_max

    static final int LITERAL_max

See Also:
  Constant Field Values

### LITERAL_avg

    static final int LITERAL_avg

See Also:
  Constant Field Values

### LITERAL_count

    static final int LITERAL_count

See Also:
  Constant Field Values

### LITERAL_lower

    static final int LITERAL_lower

See Also:
  Constant Field Values

### LITERAL_upper

    static final int LITERAL_upper

See Also:
  Constant Field Values

### LITERAL_trim

    static final int LITERAL_trim

See Also:
  Constant Field Values

### LITERAL_ltrim

    static final int LITERAL_ltrim

See Also:
  Constant Field Values

### LITERAL_rtrim

    static final int LITERAL_rtrim

See Also:
  Constant Field Values

### LITERAL_ascii

    static final int LITERAL_ascii

See Also:
  Constant Field Values

### LITERAL_character_length

    static final int LITERAL_character_length

See Also:
  Constant Field Values

### LITERAL_char

    static final int LITERAL_char

See Also:
  Constant Field Values

### LITERAL_dayOfMonth

    static final int LITERAL_dayOfMonth

See Also:
  Constant Field Values

### LITERAL_dayOfWeek

    static final int LITERAL_dayOfWeek

See Also:
  Constant Field Values

### LITERAL_dayOfYear

    static final int LITERAL_dayOfYear

See Also:
  Constant Field Values

### LITERAL_year

    static final int LITERAL_year

See Also:
  Constant Field Values

### LITERAL_month

    static final int LITERAL_month

See Also:
  Constant Field Values

### LITERAL_hour

    static final int LITERAL_hour

See Also:
  Constant Field Values

### LITERAL_minute

    static final int LITERAL_minute

See Also:
  Constant Field Values

### LITERAL_second

    static final int LITERAL_second

See Also:
  Constant Field Values

### LITERAL_monthName

    static final int LITERAL_monthName

See Also:
  Constant Field Values

### LITERAL_dayName

    static final int LITERAL_dayName

See Also:
  Constant Field Values

### LITERAL_current_date

    static final int LITERAL_current_date

See Also:
  Constant Field Values

### LITERAL_current_time

    static final int LITERAL_current_time

See Also:
  Constant Field Values

### LITERAL_current_timestamp

    static final int LITERAL_current_timestamp

See Also:
  Constant Field Values

### LITERAL_is_undefined

    static final int LITERAL_is_undefined

See Also:
  Constant Field Values

### LITERAL_is_defined

    static final int LITERAL_is_defined

See Also:
  Constant Field Values

### LITERAL_struct

    static final int LITERAL_struct

See Also:
  Constant Field Values

### LITERAL_array

    static final int LITERAL_array

See Also:
  Constant Field Values

### LITERAL_set

    static final int LITERAL_set

See Also:
  Constant Field Values

### LITERAL_bag

    static final int LITERAL_bag

See Also:
  Constant Field Values

### LITERAL_list

    static final int LITERAL_list

See Also:
  Constant Field Values

### LITERAL_unsigned

    static final int LITERAL_unsigned

See Also:
  Constant Field Values

### LITERAL_short

    static final int LITERAL_short

See Also:
  Constant Field Values

### LITERAL_long

    static final int LITERAL_long

See Also:
  Constant Field Values

### LITERAL_float

    static final int LITERAL_float

See Also:
  Constant Field Values

### LITERAL_double

    static final int LITERAL_double

See Also:
  Constant Field Values

### LITERAL_string

    static final int LITERAL_string

See Also:
  Constant Field Values

### LITERAL_boolean

    static final int LITERAL_boolean

See Also:
  Constant Field Values

### LITERAL_octet

    static final int LITERAL_octet

See Also:
  Constant Field Values

### LITERAL_date

    static final int LITERAL_date

See Also:
  Constant Field Values

### LITERAL_time

    static final int LITERAL_time

See Also:
  Constant Field Values

### LITERAL_interval

    static final int LITERAL_interval

See Also:
  Constant Field Values

### LITERAL_timestamp

    static final int LITERAL_timestamp

See Also:
  Constant Field Values

### LITERAL_dictionary

    static final int LITERAL_dictionary

See Also:
  Constant Field Values

### LITERAL_nil

    static final int LITERAL_nil

See Also:
  Constant Field Values

### LITERAL_true

    static final int LITERAL_true

See Also:
  Constant Field Values

### LITERAL_false

    static final int LITERAL_false

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20